#ifndef STRENGTHLINE_HPP
#define STRENGTHLINE_HPP

#include <QPoint>
#include <QImage>

class StrengthLine
{
private:
  QPoint * p1, *p2;

  std::pair < float, float >equation () const;

public:
  StrengthLine (QPoint * p1 = new QPoint (0, 0), QPoint * p2 =
		new QPoint (1, 1));
  std::pair < QPoint *, QPoint * >toDraw (QImage * img) const;
  std::pair < QPoint *, QPoint * >interpolateToEdge (QImage * img) const;
};

#endif
