#ifndef MAINWINDOW_HPP
#define MAINWINDOW_HPP

#include <QMainWindow>
#include <QAction>
#include <QMenu>

#include "WorkArea.hpp"


class MainWindow: public QMainWindow
{
  Q_OBJECT 


private:
  int screenWidth, screenHeight;

  QMenu *fileMenu;

  QAction *openAct;
  QAction *exitAct;

  WorkArea *waLeft;
  WorkArea *waRight;

  void createActions ();
  void createMenus ();

		     
private slots:
  void open ();

  
public:
  MainWindow ();
  void openC (QString image, QString leftSL, QString rightSL);
  
};

#endif
