#ifndef MAINWINDOW_HPP
#define MAINWINDOW_HPP

#include <QMainWindow>
#include <QAction>
#include <QMenu>

#include "WorkArea.hpp"


class MainWindow: public QMainWindow
{
  Q_OBJECT 


private:
  QMenu *fileMenu;

  QAction *openAct;
  QAction *saveAct;
  QAction *exitAct;

  WorkArea *wa;

  void createActions ();
  void createMenus ();

		     
private slots:
  void open ();
  void save ();

  
public:
  MainWindow ();
  
};

#endif
